%global modname tw2.polymaps

Name:               python-tw2-polymaps
Version:            0.3
Release:            12%{?dist}
Summary:            Toscawidgets2 wrapper for polymaps - amazing javascript maps

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/tw2.polymaps
Source0:            http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools

BuildRequires:      python2-tw2-core
BuildRequires:      python2-geojson
BuildRequires:      python2-markupsafe
BuildRequires:      python2-mako


%global _description\
tw2.polymaps is a toscawidgets2 (tw2) wrapper for polymaps.\
\
toscawidgets2 (tw2) aims to be a practical and useful widgets framework\
that helps people build interactive websites with compelling features,\
faster and easier. Widgets are re-usable web components that can include a\
template, server-side code and JavaScripts/CSS resources. The library aims\
to be: flexible, reliable, documented, performant, and as simple as\
possible.\
\
polymaps is a JavaScript library for image- and vector-tiled maps using\
SVG.\
\
This module, tw2.polymaps, provides toscawidgets2 (tw2) widgets that\
render polymaps maps!

%description %_description

%package -n python2-tw2-polymaps
Summary: %summary
Requires:           python2-tw2-core
Requires:           python2-geojson
Requires:           python2-markupsafe
Requires:           python2-mako
%{?python_provide:%python_provide python2-tw2-polymaps}

%description -n python2-tw2-polymaps %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

rm -rf tw2/polymaps/static/polymaps/2.4.0/.DS_Store

%build
%py2_build

%install
%py2_install

%files -n python2-tw2-polymaps
%doc README.rst LICENSE.txt
%{python2_sitelib}/tw2/polymaps
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-9
- Python 2 binary package renamed to python2-tw2-polymaps
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 0.3-1
- Initial package for Fedora
